<!-- This file was generated by pybib2web, version 0.7.dev0: https://gitlab.com/sosy-lab/software/pybib2web/ -->
<input type="checkbox" id="show-compact">
<label for="show-compact">Compact view</label>
<h2 id="publications">Publications of year 2012</h2>
<nav class="publication-navigation">(<a href="../All/index.html">Show all</a> &ndash; <a href="../index.html">Index</a>)</nav>

<a href="../Category/conferences.html"><h3>Articles in conference or workshop proceedings</h3></a>

<ol class="list-publications" start="1">

<li class="bibentry" id="FSE12">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Thomas A.</span> <span class="lastname">Henzinger</span></span>,
    <span class="author"><a href="../Author/KEREMOGLU-ME.html"><span class="firstname">M. Erkan</span> <span class="lastname">Keremoglu</span></a></span>, and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Conditional Model Checking: A Technique to Pass Information between Verifiers.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">Tevfik</span> <span class="lastname">Bultan</span></span> and
      <span class="editor"><span class="firstname">Martin</span> <span class="lastname">Robillard</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 20th ACM SIGSOFT International Symposium on the
        Foundations of Software Engineering (FSE 2012, Cary, NC, November 10-17)</em>,
      <span class="publication-date">  <span class="year">2012</span></span>.
    </span>
    <span class="publisher">ACM.</span>
    <a class="doi" href="https://doi.org/10.1145/2393596.2393664" data-doi="10.1145/2393596.2393664" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1145/2393596.2393664</a>
  </span>
  <a class="bibentry-link" href="#FSE12"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1145/2393596.2393664" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2012-FSE.Conditional_Model_Checking.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/cpa-cmc/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Software model checking, as an undecidable problem,
        has three possible outcomes: (1) the program
        satisfies the specification, (2) the program does
        not satisfy the specification, and (3) the model
        checker fails.  The third outcome usually manifests
        itself in a space-out, time-out, or one component of
        the verification tool giving up; in all of these
        failing cases, significant computation is performed
        by the verification tool before the failure, but no
        result is reported.  We propose to reformulate the
        model-checking problem as follows, in order to have
        the verification tool report a summary of the
        performed work even in case of failure: given a
        program and a specification, the model checker
        returns a condition P -usually a state
        predicate- such that the program satisfies the
        specification under the condition P -that is, as
        long as the program does not leave the states in
        which P is satisfied.  In our experiments, we
        investigated as one major application of conditional
        model checking the sequential combination of model
        checkers with information passing.  We give the
        condition that one model checker produces, as input
        to a second conditional model checker, such that the
        verification problem for the second is restricted to
        the part of the state space that is not covered by
        the condition, i.e., the second model checker works
        on the problems that the first model checker could
        not solve.  Our experiments demonstrate that
        repeated application of conditional model checkers,
        passing information from one model checker to the
        next, can significantly improve the verification
        results and performance, i.e., we can now verify
        programs that we could not verify before.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FSE12,
        author = {Dirk Beyer and Thomas A. Henzinger and M. Erkan Keremoglu and Philipp Wendler},
        title = {Conditional Model Checking: {A} Technique to Pass Information between Verifiers},
        booktitle = {Proceedings of the 20th ACM SIGSOFT International Symposium on the Foundations of Software Engineering (FSE~2012, Cary, NC, November 10-17)},
        editor = {Tevfik Bultan and Martin Robillard},
        pages = {},
        year = {2012},
        publisher = {ACM},
        isbn = {978-1-4503-1614-9},
        doi = {10.1145/2393596.2393664},
        url = {https://www.sosy-lab.org/research/cpa-cmc/},
        pdf = {https://www.sosy-lab.org/research/pub/2012-FSE.Conditional_Model_Checking.pdf},
        abstract = {Software model checking, as an undecidable problem, has three possible outcomes: (1) the program satisfies the specification, (2) the program does not satisfy the specification, and (3) the model checker fails.  The third outcome usually manifests itself in a space-out, time-out, or one component of the verification tool giving up; in all of these failing cases, significant computation is performed by the verification tool before the failure, but no result is reported.  We propose to reformulate the model-checking problem as follows, in order to have the verification tool report a summary of the performed work even in case of failure: given a program and a specification, the model checker returns a condition P ---usually a state predicate--- such that the program satisfies the specification under the condition P ---that is, as long as the program does not leave the states in which P is satisfied.  In our experiments, we investigated as one major application of conditional model checking the sequential combination of model checkers with information passing.  We give the condition that one model checker produces, as input to a second conditional model checker, such that the verification problem for the second is restricted to the part of the state space that is not covered by the condition, i.e., the second model checker works on the problems that the first model checker could not solve.  Our experiments demonstrate that repeated application of conditional model checkers, passing information from one model checker to the next, can significantly improve the verification results and performance, i.e., we can now verify programs that we could not verify before.},
        keyword = {CPAchecker,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FMCAD12">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Algorithms for Software Model Checking: Predicate Abstraction vs. IMPACT.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">Gianpiero</span> <span class="lastname">Cabodi</span></span> and
      <span class="editor"><span class="firstname">Satnam</span> <span class="lastname">Singh</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 12th International Conference on
        Formal Methods in Computer-Aided Design
        (FMCAD 2012, Cambrige, UK, October 22-25)</em>,
      <span class="pages">pages 106-113</span>,
      <span class="publication-date">  <span class="year">2012</span></span>.
    </span>
    <span class="publisher">FMCAD.</span>
  </span>
  <a class="bibentry-link" href="#FMCAD12"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2012-FMCAD.Algorithms_for_Software_Model_Checking.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/cpa-uni/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        CEGAR, SMT solving, and Craig interpolation are
        successful approaches for software model checking.
        We compare two of the most important algorithms that
        are based on these techniques: lazy predicate
        abstraction (as in BLAST) and lazy abstraction with
        interpolants (as in IMPACT).  We unify the
        algorithms formally (by expressing both in the CPA
        framework) as well as in practice (by implementing
        them in the same tool).  This allows us to flexibly
        experiment with new configurations and gain new
        insights, both about their most important
        differences and commonalities, as well as about
        their performance characteristics.  We show that the
        essential contribution of the IMPACT algorithm is
        the reduction of the number of refinements, and
        compare this to another approach for reducing
        refinement effort: adjustable-block encoding (ABE).
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FMCAD12,
        author = {Dirk Beyer and Philipp Wendler},
        title = {Algorithms for Software Model Checking: Predicate Abstraction vs. {IMPACT}},
        booktitle = {Proceedings of the 12th International Conference on Formal Methods in Computer-Aided Design (FMCAD~2012, Cambrige, UK, October 22-25)},
        editor = {Gianpiero Cabodi and Satnam Singh},
        pages = {106-113},
        year = {2012},
        publisher = {FMCAD},
        isbn = {978-1-4673-4831-7},
        url = {https://www.sosy-lab.org/research/cpa-uni/},
        pdf = {https://www.sosy-lab.org/research/pub/2012-FMCAD.Algorithms_for_Software_Model_Checking.pdf},
        abstract = {CEGAR, SMT solving, and Craig interpolation are successful approaches for software model checking. We compare two of the most important algorithms that are based on these techniques: lazy predicate abstraction (as in BLAST) and lazy abstraction with interpolants (as in IMPACT).  We unify the algorithms formally (by expressing both in the CPA framework) as well as in practice (by implementing them in the same tool).  This allows us to flexibly experiment with new configurations and gain new insights, both about their most important differences and commonalities, as well as about their performance characteristics.  We show that the essential contribution of the IMPACT algorithm is the reduction of the number of refinements, and compare this to another approach for reducing refinement effort: adjustable-block encoding (ABE).},
        keyword = {CPAchecker,Software Model Checking},
        doinone = {DOI not available},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="TACAS12">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">Competition on Software Verification (SV-COMP).</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">C.</span> <span class="lastname">Flanagan</span></span> and
      <span class="editor"><span class="firstname">B.</span> <span class="lastname">König</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 18th International Conference on
        Tools and Algorithms for the Construction and Analysis of Systems (TACAS 2012, Tallinn, Estonia, March 27-30)</em>,
      <span class="series">LNCS 7214</span>,
      <span class="pages">pages 504-524</span>,
      <span class="publication-date">  <span class="year">2012</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-642-28756-5_38" data-doi="10.1007/978-3-642-28756-5_38" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-642-28756-5_38</a>
  </span>
  <a class="bibentry-link" href="#TACAS12"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP.html">Competition on Software Verification (SV-COMP)</a>,
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP-REPORT.html">Competition on Software Verification (SV-COMP Report)</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-642-28756-5_38" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-642-28756-5_38.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://sv-comp.sosy-lab.org/2012/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        This report describes the definitions, rules, setup,
        procedure, and results of the 1st International
        Competition on Software Verification.  The
        verification community has performed competitions in
        various areas in the past, and SV-COMP'12 is the
        first competition of verification tools that take
        software programs as input and run a fully automatic
        verification of a given safety property.  This
        year's competition is organized as a satellite event
        of the International Conference on Tools and
        Algorithms for the Construction and Analysis of
        Systems (TACAS).
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{TACAS12,
        author = {Dirk Beyer},
        title = {Competition on Software Verification ({SV-COMP})},
        booktitle = {Proceedings of the 18th International Conference on Tools and Algorithms for the Construction and Analysis of Systems (TACAS~2012, Tallinn, Estonia, March 27-30)},
        editor = {C.~Flanagan and B.~K{\&quot;o}nig},
        pages = {504--524},
        year = {2012},
        series = {LNCS~7214},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {},
        doi = {10.1007/978-3-642-28756-5_38},
        sha256 = {77183c925bfa38fdd3cae2f65ed8d94aceb39a0805bad96adec5e4e70048e49b},
        url = {https://sv-comp.sosy-lab.org/2012/},
        abstract = {This report describes the definitions, rules, setup, procedure, and results of the 1st International Competition on Software Verification.  The verification community has performed competitions in various areas in the past, and SV-COMP&#x27;12 is the first competition of verification tools that take software programs as input and run a fully automatic verification of a given safety property.  This year&#x27;s competition is organized as a satellite event of the International Conference on Tools and Algorithms for the Construction and Analysis of Systems (TACAS).},
        keyword = {Competition on Software Verification (SV-COMP),Competition on Software Verification (SV-COMP Report),Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="LDV12">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><span class="firstname">Alexander K.</span> <span class="lastname">Petrenko</span></span>.</span>
    <span class="publication-title">Linux Driver Verification.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">T.</span> <span class="lastname">Margaria</span></span> and
      <span class="editor"><span class="firstname">B.</span> <span class="lastname">Steffen</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 5th International Symposium on
        Leveraging Applications of Formal Methods, Verification, and Validation (ISoLA 2012, Part II, Heraklion, Crete, October 15-18)</em>,
      <span class="series">LNCS 7610</span>,
      <span class="pages">pages 1-6</span>,
      <span class="publication-date">  <span class="year">2012</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-642-34032-1_1" data-doi="10.1007/978-3-642-34032-1_1" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-642-34032-1_1</a>
  </span>
  <a class="bibentry-link" href="#LDV12"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-642-34032-1_1" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2012-ISOLA.Linux_Driver_Verification.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{LDV12,
        author = {Dirk Beyer and Alexander K. Petrenko},
        title = {{Linux} Driver Verification},
        booktitle = {Proceedings of the 5th International Symposium on Leveraging Applications of Formal Methods, Verification, and Validation (ISoLA~2012, Part II, Heraklion, Crete, October 15-18)},
        editor = {T.~Margaria and B.~Steffen},
        pages = {1-6},
        year = {2012},
        series = {LNCS~7610},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {},
        doi = {10.1007/978-3-642-34032-1_1},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2012-ISOLA.Linux_Driver_Verification.pdf},
        keyword = {Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="RERS12">
  <span class="main-info">
    <span class="author-list"><span class="author"><span class="firstname">Falk</span> <span class="lastname">Howar</span></span>,
    <span class="author"><span class="firstname">Malte</span> <span class="lastname">Isberner</span></span>,
    <span class="author"><span class="firstname">Maik</span> <span class="lastname">Merten</span></span>,
    <span class="author"><span class="firstname">Bernhard</span> <span class="lastname">Steffen</span></span>, and
    <span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">The RERS Grey-Box Challenge 2012: Analysis of Event-Condition-Action Systems.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">T.</span> <span class="lastname">Margaria</span></span> and
      <span class="editor"><span class="firstname">B.</span> <span class="lastname">Steffen</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 5th International Symposium on
        Leveraging Applications of Formal Methods, Verification, and Validation (ISoLA 2012, Part I, Heraklion, Crete, October 15-18)</em>,
      <span class="series">LNCS 7609</span>,
      <span class="pages">pages 608-614</span>,
      <span class="publication-date">  <span class="year">2012</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-642-34026-0_45" data-doi="10.1007/978-3-642-34026-0_45" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-642-34026-0_45</a>
  </span>
  <a class="bibentry-link" href="#RERS12"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-642-34026-0_45" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2012-ISOLA.The_RERS_Grey-Box_Challenge_2012_Analysis_of_Event-Condition-Action_Systems.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{RERS12,
        author = {Falk Howar and Malte Isberner and Maik Merten and Bernhard Steffen and Dirk Beyer},
        title = {The {RERS} Grey-Box Challenge 2012: Analysis of Event-Condition-Action Systems},
        booktitle = {Proceedings of the 5th International Symposium on Leveraging Applications of Formal Methods, Verification, and Validation (ISoLA~2012, Part I, Heraklion, Crete, October 15-18)},
        editor = {T.~Margaria and B.~Steffen},
        pages = {608-614},
        year = {2012},
        series = {LNCS~7609},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {},
        doi = {10.1007/978-3-642-34026-0_45},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2012-ISOLA.The_RERS_Grey-Box_Challenge_2012_Analysis_of_Event-Condition-Action_Systems.pdf},
        keyword = {Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

</ol>
 <section id="disclaimer"> <h4>Disclaimer:</h4> <p class="disclaimer"> This material is presented to ensure timely dissemination of scholarly and technical work. Copyright and all rights therein are retained by authors or by other copyright holders. All person copying this information are expected to adhere to the terms and constraints invoked by each author's copyright. In most cases, these works may not be reposted without the explicit permission of the copyright holder. </p> </section> <footer id="generator">This file was generated by <a href="https://gitlab.com/sosy-lab/software/pybib2web/">pybib2web</a>, version 0.7.dev0</footer>